# Uses of Interface
org.bukkit.entity.Spider

Packages that use Spider
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Spider in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Spider
Modifier and Type
Field
Description
`static final GoalKey<Spider>`
VanillaGoal.`SPIDER`
`static final GoalKey<Spider>`
VanillaGoal.`SPIDER_ATTACK`
`static final GoalKey<Spider>`
VanillaGoal.`SPIDER_MELEE_ATTACK`
Deprecated.
`static final GoalKey<Spider>`
VanillaGoal.`SPIDER_NEAREST_ATTACKABLE_TARGET`
Deprecated.

## Uses of Spider in org.bukkit.entity

Subinterfaces of Spider in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`CaveSpider`
Represents a Spider.